Get my block storages
Retrieve a paginated list of your block storages, filtered by location and instance.
Authorization
ApiKeyAuth x-apikey<token>
In: header
Query Parameters
location_id*integer
ID of the location
instance_id?string
UUID of the instance to filter by
Format
uuidResponse Body
application/json
curl -X GET "https://api.dewavps.com/v1/storage/blocks?location_id=0"{
"message": "My block storages",
"data": {
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"type": "HDD",
"attached_to": {
"id": "string",
"hostname": "string"
},
"size": 0,
"size_description": "50GB",
"status": "ACTIVE",
"price_per_hour": "string",
"est_this_month_price": 0,
"cost": 0,
"created_at": "string"
}
],
"page": {
"total": 0,
"count": 0,
"per_page": 0,
"current_page": 0,
"total_pages": 0
}
}
}